%define origname TwistedMail

Name:           python-module-twisted-mail
Version:        10.1.0
Release:        alt1
%setup_python_module twisted-mail
Summary:        A Twisted Mail library, server and client

Group:          Development/Python
License:        MIT
URL:            http://www.twistedmatrix.com
Packager:	Sergey Alembekov <rt@altlinux.ru>
Source0:        http://tmrc.mit.edu/mirror/twisted/Mail/10.1/%origname-%version.tar.bz2

BuildRequires:  python-module-twisted-core >= 8.2.0
BuildRequires:  python-devel

Requires:       python-module-twisted-core
Requires:       python-module-twisted-names

%description
Twisted is an event-based framework for internet applications.

Twisted Mail contains high-level, efficient protocol implementations
for both clients and servers of SMTP, POP3, and IMAP4. Additionally,
it contains an "out of the box" combination SMTP/POP3 virtual-hosting
mail server. Also included is a read/write Maildir implementation and
a basic Mail Exchange calculator.

%package tests
Summary: Tests for Twisted Mail
Group: Development/Python
Requires: %name = %version-%release

%description tests
Twisted is an event-based framework for internet applications.

Twisted Mail contains high-level, efficient protocol implementations
for both clients and servers of SMTP, POP3, and IMAP4. Additionally,
it contains an "out of the box" combination SMTP/POP3 virtual-hosting
mail server. Also included is a read/write Maildir implementation and
a basic Mail Exchange calculator.

This package contains tests for Twisted Mail.

%prep
%setup -q -n %origname-%version

%build
%python_build

%install
%python_install --install-purelib %python_sitelibdir

# this .py file has a shebang line so should be executable
#chmod +x $RPM_BUILD_ROOT%{python_sitelibdir}/twisted/mail/test/pop3testserver.py

%clean

%files
%doc LICENSE NEWS README doc/*
%_bindir/mailmail
%python_sitelibdir/twisted/mail/
%exclude %python_sitelibdir/twisted/mail/test
%python_sitelibdir/Twisted_Mail-*.egg-info
%python_sitelibdir/twisted/plugins/twisted_mail.py*

%files tests
%python_sitelibdir/twisted/mail/test

%changelog
* Tue Aug 03 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 10.1.0-alt1
- 10.1.0
- Moved tests into separate package

* Wed Nov 11 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 8.2.0-alt1.1
- Rebuilt with python 2.6

* Mon Oct 19 2009 Sergey Alembekov <rt@altlinux.ru> 8.2.0-alt1
- new version 

* Sat Dec 08 2007 Sergey Alembekov <rt@altlinux.ru> 0.4.0-alt2.1
- Fix build on x86_64 (thanks to Nikolay A. Fetisov aka naf@)
- Spec cleanup
- fix Bug #13518

* Sun Apr 01 2007 Sergey Alembekov <rt@altlinux.ru> 0.4.0-alt2
- spec cleanup

* Fri Mar 30 2007 Sergey Alembekov <rt@altlinux.ru> 0.4.0-alt1
- Build for new upstream version
